Subject: ***SPAM*** 75.426 (5) Ever wanted a GIANT ROD? Click here for one.

From: "Eldwin Huskey" <[email-masked]>
Date: Fri, 1 Feb 2008 19:25:13 +0100

Give the girls what they want with your long and hard instrument.